package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TpParaSelectItem;
import com.ruoyi.project.business.domain.vo.paramSelectItem.ParaSelectItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 选项Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public interface TpParaSelectItemMapper extends BaseMapper<TpParaSelectItem> {
    /**
     * 查询选项
     *
     * @param id 选项主键
     * @return 选项
     */
    public TpParaSelectItem selectTpParaSelectItemById(Long id);

    /**
     * 查询选项列表
     *
     * @param tpParaSelectItem 选项
     * @return 选项集合
     */
    public List<TpParaSelectItem> selectTpParaSelectItemList(TpParaSelectItem tpParaSelectItem);

    /**
     * 新增选项
     *
     * @param tpParaSelectItem 选项
     * @return 结果
     */
    public int insertTpParaSelectItem(TpParaSelectItem tpParaSelectItem);

    /**
     * 修改选项
     *
     * @param tpParaSelectItem 选项
     * @return 结果
     */
    public int updateTpParaSelectItem(TpParaSelectItem tpParaSelectItem);

    /**
     * 删除选项
     *
     * @param id 选项主键
     * @return 结果
     */
    public int deleteTpParaSelectItemById(Long id);

    /**
     * 批量删除选项
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpParaSelectItemByIds(Long[] ids);

    public int InsertBySQL(List<TpParaSelectItem> list);

    public List<ParaSelectItemVo> selectTpParaSelectItemWithCodeList(ParaSelectItemVo tpParaSelectItem);

    List<TpParaSelectItem> selectTpParaSelectItemListByIds(@Param("ids") List<Long> ids);

    List<TpParaSelectItem> selectImageListAll();
}
